Subject: Re: bug#22092: 24.5; icalendar-import should strip windows newlines

From: Ulf Jasper <[email-masked]>
Date: Fri, 04 Dec 2015 17:55:35 +0100

Am 04.12.2015 um 10:16 (+0100) schrieb Kevin Brubeck Unhammer:
> Tried importing an .ics with `icalendar-import-buffer'. The file had the
> Windows ^M newlines, no events were imported. Presumably, the function
> should strip ^M's first (though note that the file itself is likely to
> be chmod -w, e.g. if it was downloaded by Firefox and placed in /tmp).

AFAIR icalendar files always contain CR LF sequences.  So the problem
may be caused by something else than the line endings.

Could you please supply a sample file (preferably anonymised)?

Best,
Ulf